Subject: Re: [BUG ext4?] Working tree getting out of date "spontaneously"

From: Theodore Tso <[email-masked]>
Date: Fri, 5 Jun 2009 10:55:08 -0400

On Fri, Jun 05, 2009 at 03:21:26PM +0200, Björn Steinbrink wrote:
> So the ctime got modified. I don't have any fancy indexing stuff
> running, and inotify doesn't see any events either while the ctime is
> changed.
> 
> The only thing I changed lately was upgrading to 2.6.30-rc8 and going
> from ext3 to ext4. As the ctime change always seems to happen around 30
> seconds after the real change, I kind of suspect ext4 to be guilty.
> Ted, is that possible?
> 
> FS is mounted as:
> /dev/mapper/vg0-home on /home type ext4 (rw,noatime,nodiratime,barrier=0)
> 

I agree it sounds like it's ext4 related, but I'm not able to
reproduce it (using 2.6.30-rc8 with the patches planned for the 2.6.31
merge window).  This should show the problem, you were seeing, do you
agree?

<tytso@closure> {/usr/projects/linux/misc}  [master]
547% git reset --hard HEAD^
HEAD is now at b63254c Merge branch 'drm-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/airlied/drm-2.6
<tytso@closure> {/usr/projects/linux/misc}  [master]
548% git pull
Updating b63254c..b87297f
Fast forward
 drivers/gpu/drm/i915/i915_gem.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)
<tytso@closure> {/usr/projects/linux/misc}  [master]
549% stat drivers/gpu/drm/i915/i915_gem.c;sleep 60 ; stat drivers/gpu/drm/i915/i915_gem.c
  File: `drivers/gpu/drm/i915/i915_gem.c'
  Size: 117594		Blocks: 232        IO Block: 4096   regular file
Device: fe00h/65024d	Inode: 2643071     Links: 1
Access: (0644/-rw-r--r--)  Uid: (15806/   tytso)   Gid: (15806/   tytso)
Access: 2009-06-05 10:50:05.466966433 -0400
Modify: 2009-06-05 10:50:05.466966433 -0400
Change: 2009-06-05 10:50:05.466966433 -0400
  File: `drivers/gpu/drm/i915/i915_gem.c'
  Size: 117594		Blocks: 232        IO Block: 4096   regular file
Device: fe00h/65024d	Inode: 2643071     Links: 1
Access: (0644/-rw-r--r--)  Uid: (15806/   tytso)   Gid: (15806/   tytso)
Access: 2009-06-05 10:50:05.466966433 -0400
Modify: 2009-06-05 10:50:05.466966433 -0400
Change: 2009-06-05 10:50:05.466966433 -0400

Hmm, can you send me the output of dumpe2fs -h for your /home
filesystem?

						- Ted